Wissen
Org-wide knowledge items (?kinds=&status=&assistantId=&q=&page=&pageSize=)
GET
/api/v1/knowledge/sourcesErfordert einen API-Schlüssel der Organisation mit der Berechtigung „member“.
Authorization
apiKey AuthorizationBearer <token>
In: header
Query Parameters
kinds?string
Durch Kommas getrennte Source-Arten; standardmäßig alle Arten.
status?string
Filtern nach Status der Quelle.
assistantId?string
Filtern Sie nach verknüpftem Assistant.
q?string
Durchsuchen Sie die Wissensbibliothek.
page?integer
Seitennummer.
pageSize?integer
Elemente pro Seite.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/knowledge/sources"{ "items": [ { "id": "string", "collectionId": "string", "name": "string", "kind": "file", "status": "error", "conceptCount": 0, "answerPreview": "string", "linkedAssistants": [ { "assistantId": "string", "assistantName": "string", "directAccess": true } ], "lastCrawledAt": null, "createdAt": "string", "updatedAt": "string" } ], "total": 0, "statusCounts": { "processing": 0, "ready": 0, "error": 0 }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}